import { JavaObject } from '../../java/lang/JavaObject';
export declare class Sprachbelegung extends JavaObject {
    sprache: String;
    reihenfolge: Number | null;
    belegungVonJahrgang: String | null;
    belegungVonAbschnitt: Number | null;
    belegungBisJahrgang: String | null;
    belegungBisAbschnitt: Number | null;
    referenzniveau: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): Sprachbelegung;
    static transpilerToJSON(obj: Sprachbelegung): string;
    static transpilerToJSONPatch(obj: Partial<Sprachbelegung>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_Sprachbelegung(obj: unknown): Sprachbelegung;
